Roundup Tracker - Issues

Issue 2551010

classification
Title: insufficient test for xmlrpc module selection
Type: crash Severity: normal
Components: Versions: devel
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gabi, joseph_myers
Priority: Keywords: patch, python2, python3

Created on 2018-10-18 15:29 by gabi, last changed 2018-11-11 17:06 by joseph_myers.

Files
File name Uploaded Description Edit Remove
patch gabi, 2018-10-18 15:29
Messages
msg6287 Author: [hidden] (gabi) Date: 2018-10-18 15:29
The test in roundup/anypy/xmlrpc_.py  is insufficient (cf.
https://github.com/PythonCharmers/python-future/issues/280).

Without a fix, I got the following error when starting the roundup-server:
AttributeError: 'module' object has no attribute 'SimpleXMLRPCDispatcher'

I attached a patch with an (admittedly silly) fix.
msg6289 Author: [hidden] (joseph_myers) Date: 2018-10-18 16:42
FWIW, for configparser module selection I used an explicit 
sys.version_info check to determine which modules to import, when a 
backport of the Python 3 configparser to Python 2 proved to cause problems 
for Roundup.
msg6294 Author: [hidden] (joseph_myers) Date: 2018-10-28 19:38
On further examination:

This case is arguably different from the configparser one, because the 
configparser case was a complete backport, that just did things 
differently from expected in Python 2, whereas this is a case of a module 
name being provided but missing some of the contents but without any 
evidence that an actual complete backport would not work.  So applying 
your patch would seem reasonable to fix this issue (and likewise for 
issue2551011).  Neither issue is present in 1.6 (unlike the configparser 
one); they both arise from Python 3 changes postdating the 1.6 release.
msg6297 Author: [hidden] (joseph_myers) Date: 2018-11-11 17:06
I've now committed this patch.
History
Date User Action Args
2018-11-11 17:06:42joseph_myerssetstatus: new -> fixed
resolution: fixed
messages: + msg6297
2018-10-28 19:38:17joseph_myerssetmessages: + msg6294
2018-10-18 21:43:08rouiljsetkeywords: + patch, python3, python2
2018-10-18 16:42:08joseph_myerssetnosy: + joseph_myers
messages: + msg6289
2018-10-18 15:29:04gabicreate